
module "avm-res-avs-privatecloud" {
  source = "terraform-aws-modules/avm-res-avs-privatecloud/aws"
  version = "0.6.1"
  addons = var.addons
  avs_interconnect_connections = var.avs_interconnect_connections
  avs_network_cidr = var.avs_network_cidr
  clusters = var.clusters
  customer_managed_key = var.customer_managed_key
  dhcp_configuration = var.dhcp_configuration
  diagnostic_settings = var.diagnostic_settings
  dns_forwarder_zones = var.dns_forwarder_zones
  elastic_san_datastores = var.elastic_san_datastores
  enable_stretch_cluster = var.enable_stretch_cluster
  enable_telemetry = var.enable_telemetry
  expressroute_connections = var.expressroute_connections
  extended_network_blocks = var.extended_network_blocks
  external_storage_address_block = var.external_storage_address_block
  global_reach_connections = var.global_reach_connections
  internet_enabled = var.internet_enabled
  internet_inbound_public_ips = var.internet_inbound_public_ips
  location = var.location
  lock = var.lock
  managed_identities = var.managed_identities
  management_cluster_size = var.management_cluster_size
  name = var.name
  netapp_files_datastores = var.netapp_files_datastores
  nsxt_password = var.nsxt_password
  primary_zone = var.primary_zone
  resource_group_name = var.resource_group_name
  resource_group_resource_id = var.resource_group_resource_id
  role_assignments = var.role_assignments
  secondary_zone = var.secondary_zone
  segments = var.segments
  sku_name = var.sku_name
  tags = var.tags
  vcenter_identity_sources = var.vcenter_identity_sources
  vcenter_identity_sources_credentials = var.vcenter_identity_sources_credentials
  vcenter_password = var.vcenter_password
}
